Bug 1933942 - Review Request: xcursorgen - xcursorgen prepares X11 cursor sets for use with libXcursor
Summary: Review Request: xcursorgen - xcursorgen prepares X11 cursor sets for use with...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1933920
TreeView+ depends on / blocked
 
Reported: 2021-03-02 05:03 UTC by Peter Hutterer
Modified: 2021-03-25 00:16 UTC (History)
3 users (show)

Fixed In Version: xcursorgen-1.0.7-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-04 11:40:22 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-02 05:03:49 UTC
Spec URL: https://people.freedesktop.org/~whot/xcursorgen/xcursorgen.spec
SRPM URL: https://people.freedesktop.org/~whot/xcursorgen/xcursorgen-1.0.7-1.fc33.src.rpm
Description:
xcursorgen prepares X11 cursor sets for use with libXcursor.
Fedora Account System Username: whot


Note: This utility was previously provided by xorg-x11-apps and is being split
into its own package, see Bug 1933920.

Comment 1 Parag AN(पराग) 2021-03-03 05:21:55 UTC
Review:

Suggestions:
1) Please check below for rpmlint warnings and fix them before this package gets imported in Fedora.

Rpmlint
-------
Checking: xcursorgen-1.0.7-1.fc35.x86_64.rpm
          xcursorgen-debuginfo-1.0.7-1.fc35.x86_64.rpm
          xcursorgen-debugsource-1.0.7-1.fc35.x86_64.rpm
          xcursorgen-1.0.7-1.fc35.src.rpm
xcursorgen.x86_64: W: spelling-error Summary(en_US) libXcursor -> cursorily
xcursorgen.x86_64: W: summary-not-capitalized C xcursorgen prepares X11 cursor sets for use with libXcursor
xcursorgen.x86_64: W: name-repeated-in-summary C xcursorgen
xcursorgen.x86_64: W: spelling-error %description -l en_US libXcursor -> cursorily
xcursorgen.src: W: spelling-error Summary(en_US) libXcursor -> cursorily
xcursorgen.src: W: summary-not-capitalized C xcursorgen prepares X11 cursor sets for use with libXcursor
xcursorgen.src: W: name-repeated-in-summary C xcursorgen
xcursorgen.src: W: spelling-error %description -l en_US libXcursor -> cursorily
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xcursorgen-debuginfo-1.0.7-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xcursorgen.x86_64: W: spelling-error Summary(en_US) libXcursor -> cursorily
xcursorgen.x86_64: W: summary-not-capitalized C xcursorgen prepares X11 cursor sets for use with libXcursor
xcursorgen.x86_64: W: name-repeated-in-summary C xcursorgen
xcursorgen.x86_64: W: spelling-error %description -l en_US libXcursor -> cursorily
3 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/xcursorgen-1.0.7.tar.bz2 :
  CHECKSUM(SHA256) this package     : 35b6f844b24f1776e9006c880a745728800764dbe3b327a128772b4610d8eb3d
  CHECKSUM(SHA256) upstream package : 35b6f844b24f1776e9006c880a745728800764dbe3b327a128772b4610d8eb3d


Requires
--------
xcursorgen (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libXcursor.so.1()(64bit)
    libc.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    rtld(GNU_HASH)

xcursorgen-debuginfo (rpmlib, GLIBC filtered):

xcursorgen-debugsource (rpmlib, GLIBC filtered):



Provides
--------
xcursorgen:
    xcursorgen
    xcursorgen(x86-64)

xcursorgen-debuginfo:
    debuginfo(build-id)
    xcursorgen-debuginfo
    xcursorgen-debuginfo(x86-64)

xcursorgen-debugsource:
    xcursorgen-debugsource
    xcursorgen-debugsource(x86-64)



This package looks good to me.

APPROVED.

Comment 2 Tomas Hrcka 2021-03-03 13:29:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xcursorgen

Comment 3 Fedora Update System 2021-03-04 12:23:35 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 16:59:49 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 00:16:51 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.